Get Vcf Password Accounts

Get Vcf Password Accounts
Get paginated list of password accounts based on query parameters

Get paginated list of password accounts based on query parameters

Request
URI
POST
https://{api_host}/suite-api/api/fleet-management/password-management/accounts/query
COPY
Query Parameters
integer
page
Optional
Constraints: default: 0

Page number from which data needs to be displayed (0-based)

integer
pageSize
Optional
Constraints: default: 10

Expected number of entries per page

string
sortBy
Optional

Password account field to sort by

Possible values are : STATUS, APPLIANCE, APPLIANCE_IP, USERNAME, EXPIRY_DATE,
string
sortOrder
Optional

Sort direction for the results

Possible values are : ASCENDING, DESCENDING,

Request Body

The password account search request with search criteria

VcfPasswordAccountSearchRequest of type(s) application/json
Required
"{\n  \"status\" : \"ACTIVE\",\n  \"username\" : \"root\",\n  \"appliance\" : \"VCENTER\",\n  \"applianceFqdn\" : \"vcenter.vsphere.local.com\",\n  \"vcfDomainId\" : \"4c133fd4-6d00-408c-a9cb-18fa36a1c8b1\"\n}"
string
appliance
Optional

Appliance or component type for password account searches (e.g., VCENTER, NSXT_MANAGER, NSXT_EDGE, SDDC_MANAGER, VCF_AUTOMATION, LOG_MANAGEMENT, VCF_OPERATIONS, VCF_OPS_NETWORKS, IDENTITY_BROKER, VCF_OPS_HCX, ESX, VCF_SERVICES_RUNTIME, AVI_LOAD_BALANCER)

Possible values are : VCENTER, SDDC_MANAGER, NSXT_MANAGER, NSXT_EDGE, VCF_AUTOMATION, LOG_MANAGEMENT, VCF_OPERATIONS, VCF_OPS_NETWORK, IDENTITY_BROKER, VCF_OPS_HCX, ESX, VCF_SERVICES_RUNTIME, AVI_LOAD_BALANCER, UNKNOWN,
string
applianceFqdn
Optional

Fully qualified domain name of the appliance

string
status
Optional

Password account status for search requests (e.g., ACTIVE, EXPIRING, EXPIRED, UNKNOWN)

Possible values are : ACTIVE, EXPIRING, EXPIRED, UNKNOWN,
string
username
Optional

Username for the account

string
vcfDomainId
Optional

VCF domain ID to filter password accounts by domain

Authentication
This operation uses the following authentication methods.
Responses
200

List of password accounts

Returns VcfPasswordAccountsResponse of type(s) application/json
"{\n  \"vcfPasswordAccounts\" : [ {\n    \"passwordAccountKey\" : \"vcenter.vsphere.com_1234_userName\",\n    \"applianceFqdn\" : \"vcenter.vsphere.local.com\",\n    \"userName\" : \"UserName\",\n    \"status\" : \"EXPIRED\",\n    \"expiryDate\" : 123363458,\n    \"appliance\" : \"VCENTER\",\n    \"displayApplianceType\" : \"vCenter\",\n    \"credentialType\" : \"SSH\",\n    \"accountType\" : \"USER\",\n    \"id\" : \"hidden_id\",\n    \"vcfDomainId\" : \"domainId\",\n    \"passwordAlias\" : \"dummyAlias\"\n  }, {\n    \"passwordAccountKey\" : \"nsx.vsphere.com_1234_userName\",\n    \"applianceFqdn\" : \"nsx.vsphere.local.com\",\n    \"userName\" : \"UserName1\",\n    \"status\" : \"ACTIVE\",\n    \"expiryDate\" : 123363458,\n    \"appliance\" : \"NSXT_MANAGER\",\n    \"displayApplianceType\" : \"NSX Manager\",\n    \"credentialType\" : \"SSH\",\n    \"accountType\" : \"USER\",\n    \"id\" : \"hidden_id\",\n    \"vcfDomainId\" : \"domainId\"\n  } ]\n}"
array of object
links
Optional

Collection of links

object
pageInfo
Optional

Represents page information for a paged result

array of object
vcfPasswordAccounts
Optional

list of password accounts.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/suite-api/api/fleet-management/password-management/accounts/query